# Refund payment shown as gift card payment in transaction report

**URL:** <https://developer.squareup.com/forums/t/refund-payment-shown-as-gift-card-payment-in-transaction-report/6766>\
**Category:** Questions\
**Tags:** orders-api\
**Created:** [August 11, 2022, 10:19am UTC](https://developer.squareup.com/forums/t/refund-payment-shown-as-gift-card-payment-in-transaction-report/6766 "2022-08-11T10:19:22Z")\
**Posts on this page:** 7\
**Page:** 1

<div class="post-metadata">

**Author:** ![techgyani](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/techgyani/32/1104_2.png) [@techgyani](https://developer.squareup.com/forums/u/techgyani)\
**Post date:** [August 11, 2022, 10:19am UTC](https://developer.squareup.com/forums/t/refund-payment-shown-as-gift-card-payment-in-transaction-report/6766/1 "2022-08-11T10:19:22Z")

</div>

I found that below refund’s associated payment type is a card payment. But Square is putting in SQUARE\_GIFT\_CARD bucket. Could you please suggest which API can give this information?

Related Transaction in the report link [Dropbox - Loaded Fries 7-5-22 transaction report.xlsx - Simplify your life](https://www.dropbox.com/s/fnsj2mzx6xbszrs/Loaded%20Fries%207-5-22%20transaction%20report.xlsx?dl=0)

Screenshot

 ![image](https://global.discourse-cdn.com/square/original/2X/d/d4c8fe157848743742ac07de3f86b594d3957997.png)

```auto
{
  "id": "9cgMkFvfbSYBkkbGrJx8pYieV",
  "locationId": "LZ4H1SPMFD3N6",
  "refunds": [
    {
      "id": "MPPXxms90mdhbqom0n45S",
      "locationId": "LZ4H1SPMFD3N6",
      "transactionId": "xuYkJBMkG3iAMnOZGXqzDIxeV",
      "tenderId": "nzUKoaJYQIpgHdX4scsp2VPWvaB",
      "createdAt": "2022-07-05T22:59:23Z",
      "reason": "Accidental Charge",
      "amountMoney": {
        "amount": 625,
        "currency": "USD"
      },
      "status": "APPROVED",
      "processingFeeMoney": {
        "amount": 0,
        "currency": "USD"
      }
    }
  ]
}

```

---

<div class="post-metadata">

**Author:** ![josh-square](https://avatars.discourse-cdn.com/v4/letter/j/77aa72/32.png) [@josh-square](https://developer.squareup.com/forums/u/josh-square)\
**Post date:** [August 11, 2022, 11:06pm UTC](https://developer.squareup.com/forums/t/refund-payment-shown-as-gift-card-payment-in-transaction-report/6766/2 "2022-08-11T23:06:08Z")

</div>

Hey @techgyani! When a payment is made with a gift card, Square still sets the `source_type` of the payment to `CARD`. You can find this information using the [Payments API](https://developer.squareup.com/reference/square/payments-api). For gift card payments, you should be able to see in the `card_details` field that the `card_brand` is set to `SQUARE_GIFT_CARD`.

---

<div class="post-metadata">

**Author:** ![techgyani](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/techgyani/32/1104_2.png) [@techgyani](https://developer.squareup.com/forums/u/techgyani)\
**Post date:** [August 12, 2022, 8:57am UTC](https://developer.squareup.com/forums/t/refund-payment-shown-as-gift-card-payment-in-transaction-report/6766/3 "2022-08-12T08:57:25Z")

</div>

Thanks @josh-square. But it shows up as VISA. Please see below. Am I using correct payment id nzUKoaJYQIpgHdX4scsp2VPWvaB, I used tender\_id from refund object to get the payment?

```auto
  "payment": {
    "id": "nzUKoaJYQIpgHdX4scsp2VPWvaB",
    "created_at": "2022-07-05T22:58:06.204Z",
    "updated_at": "2022-07-05T22:58:15.608Z",
    "amount_money": {
      "amount": 625,
      "currency": "USD"
    },
    "status": "COMPLETED",
    "source_type": "CARD",
    "card_details": {
      "status": "CAPTURED",
      "card": {
        "card_brand": "VISA",
        "last_4": "***",
        "exp_month": **,
        "exp_year": ***,
        "fingerprint": "s *****",
        "card_type": "DEBIT",
        "prepaid_type": "NOT_PREPAID",
        "bin": " ****"
      },
      "entry_method": "CONTACTLESS",
      "cvv_status": "CVV_NOT_CHECKED",
      "avs_status": "AVS_NOT_CHECKED",
      "auth_result_code": "076760",
      "application_identifier": "A0000000980840",
      "application_cryptogram": "860b45bcab3e1e51",
      "verification_method": "NONE",
      "verification_results": "UNKNOWN",
      "statement_description": "SQ *SANTA CRUZ BEACH BOA",
      "device_details": {
        "device_id": "146CS134A2000085",
        "device_name": "Loaded Fries",
        "device_installation_id": "***"
      },
      "card_payment_timeline": {
        "authorized_at": "2022-07-05T22:58:06.852Z",
        "captured_at": "2022-07-05T22:58:14.126Z"
      }
    },
    "location_id": "LZ4H1SPMFD3N6",
    "order_id": "xuYkJBMkG3iAMnOZGXqzDIxeV",
    "processing_fee": [
      {
        "effective_at": "2022-07-06T00:58:14.000Z",
        "type": "INITIAL",
        "amount_money": {
          "amount": 16,
          "currency": "USD"
        }
      }
    ],
    "total_money": {
      "amount": 625,
      "currency": "USD"
    },
    "approved_money": {
      "amount": 625,
      "currency": "USD"
    },
    "employee_id": "TMnnOQ76Dv6XrnjH",
    "receipt_number": "nzUK",
    "receipt_url": "https://squareup.com/receipt/preview/nzUKoaJYQIpgHdX4scsp2VPWvaB",
    "device_details": {
      "device_id": "146CS134A2000085",
      "device_name": "Loaded Fries",
      "device_installation_id": "b7768a0b-e554-43e8-877c-b24bc22622ce"
    },
    "team_member_id": "TMnnOQ76Dv6XrnjH",
    "application_details": {
      "square_product": "OTHER"
    },
    "version_token": "vbgG1yj8ddaXyzBC9SNtbE6d9q5SFNEGMnRYCxPBgGv6o"
  }
}

```

---

<div class="post-metadata">

**Author:** ![techgyani](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/techgyani/32/1104_2.png) [@techgyani](https://developer.squareup.com/forums/u/techgyani)\
**Post date:** [August 12, 2022, 9:34am UTC](https://developer.squareup.com/forums/t/refund-payment-shown-as-gift-card-payment-in-transaction-report/6766/4 "2022-08-12T09:34:04Z")

</div>

@josh-square Also it is not visible in listPaymentRefund API as well. Do I need ```  
GIFTCARDS\_READ scope?

```auto
curl https://connect.squareup.com/v2/refunds?begin_time=2022-07-04T07%3A00%3A00Z&end_time=2022-07-09T06%3A59%3A59Z&location_id=LZ4H1SPMFD3N6&limit=250&sort_order=ASC \
  -H 'Square-Version: 2022-07-20' \
  -H 'Authorization: Bearer ***********************' \
  -H 'Content-Type: application/json'

```

---

<div class="post-metadata">

**Author:** ![josh-square](https://avatars.discourse-cdn.com/v4/letter/j/77aa72/32.png) [@josh-square](https://developer.squareup.com/forums/u/josh-square)\
**Post date:** [August 12, 2022, 10:25pm UTC](https://developer.squareup.com/forums/t/refund-payment-shown-as-gift-card-payment-in-transaction-report/6766/5 "2022-08-12T22:25:21Z")

</div>

Looks like I misunderstood the situation here. Your initial payment was made with a card (hence `"card_brand": "VISA"`), but the refund of that payment was processed by sending the funds to a gift card. I would have expected this to show in ListPaymentRefund though, so I’ll need to check with the team to see what may be happening here.

---

<div class="post-metadata">

**Author:** ![josh-square](https://avatars.discourse-cdn.com/v4/letter/j/77aa72/32.png) [@josh-square](https://developer.squareup.com/forums/u/josh-square)\
**Post date:** [August 15, 2022, 8:13pm UTC](https://developer.squareup.com/forums/t/refund-payment-shown-as-gift-card-payment-in-transaction-report/6766/6 "2022-08-15T20:13:27Z")

</div>

Hey @techgyani, thanks for your patience! The Refunds API does not currently support these types of refunds (where the payment was made on a card, then refunded to a gift card). It’s definitely something we’re interested in supporting in the future though. There’s no timeline I can share at the moment, but I recommend keeping an eye on future [API releases](https://developer.squareup.com/docs/changelog/connect) if this is a feature that’s important to your application.

---

<div class="post-metadata">

**Author:** ![techgyani](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/techgyani/32/1104_2.png) [@techgyani](https://developer.squareup.com/forums/u/techgyani)\
**Post date:** [August 16, 2022, 4:12am UTC](https://developer.squareup.com/forums/t/refund-payment-shown-as-gift-card-payment-in-transaction-report/6766/7 "2022-08-16T04:12:59Z")

</div>

Thank you for the help @josh-square . Its an important feature for us. We will keep any eye on the API releases. 🙂
